Bug 1302581 - [GSS](6.4.z) jboss-web.xml validate problem.
[GSS](6.4.z) jboss-web.xml validate problem.
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.4.0
All All
unspecified Severity high
: ---
: ---
Assigned To: Radovan Netuka
Radim Hatlapatka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 03:31 EST by xuzhan
Modified: 2016-11-03 20:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-07 09:04:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of this issue. (90.43 KB, image/jpeg)
2016-01-28 03:31 EST, xuzhan
no flags Details

  None (edit)
Description xuzhan 2016-01-28 03:31:10 EST
Created attachment 1119066 [details]
Screen shot of this issue.

Description of problem:
Create "jboss-web.xml" from article "https://access.redhat.com/solutions/159753" in JBDS 8.0.0, error shows:
~~~
No grammar constraints (DTD or XML Schema) referenced in the document.
~~~

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create "jboss-web.xml" in JDBS 8.0.0 as below:
~~~
<?xml version="1.1" encoding="UTF-8"?>
<jboss-web version="7.2" 
            xmlns:jboss="http://www.jboss.com/xml/ns/javaee" 
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xsi:schemaLocation="http://www.jboss.org/j2ee/schema/jboss-web_7_2.xsd">
        <context-root>/example</context-root>
        <overlay>/path/to/contents/</overlay>
</jboss-web>
~~~
2. an "XML Problem" shows "No grammar constraints (DTD or XML Schema) referenced in the document."


Actual results:
"No grammar constraints (DTD or XML Schema) referenced in the document."

Expected results:
No errors.

Additional info:
Customer wants to validate this file, please let us know if it is a bug or not?
Comment 1 Chao Wang 2016-01-29 02:49:48 EST
https://github.com/jboss-developer/jboss-eap-quickstarts/blob/6.4.x/servlet-security/src/main/webapp/WEB-INF/jboss-web.xml is an jboss-web.xml example in quickstart

<?xml version="1.1" encoding="UTF-8"?>
<!DOCTYPE jboss-web>
<jboss-web xmlns="http://www.jboss.com/xml/ns/javaee"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.jboss.org/schema/jbossas http://www.jboss.org/schema/jbossas/jboss-web_7_2.xsd">
... ...

I did not see any error with this inside my IDE. Could you try it in your JBDS?
Comment 2 xuzhan 2016-01-29 03:34:41 EST
Thanks Wang,

It works at my side as well, I am updating to customer right now.

Best Regards,
Zhang Xu
Comment 9 xuzhan 2016-02-04 03:34:40 EST
Thanks Wang for your reply.
I will update on "bz1302604" regarding to "jboss-app.xml" validation questions.

Best Regards,
Zhang Xu

Note You need to log in before you can comment on or make changes to this bug.